apiVersion: v1
kind: Service
metadata:
  name: {{ include "family-backend.fullname" . }}
  labels:
    {{- include "family-backend.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.internalPort }}
      targetPort: {{ .Values.service.targetPort }}
      protocol: TCP
      name: http
  selector:
    {{- include "family-backend.selectorLabels" . | nindent 4 }}
